Apache JMeter

## org.apache.jmeter.gui.action
Class What

    java.lang.Object
      org.apache.jmeter.gui.action.What

All Implemented Interfaces:
  Command

    public class What

extends Object
implements Command

Debug class to show details of the currently selected object Currently shows TestElement and GUI class names Also enables/disables debug for the test element.

Constructor Summary
`What()`

Method Summary
`void` `doAction(ActionEvent e)`
`Set<String>` `getActionNames()` Provide the list of Action names that are available in this command.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### What

    public What()

Method Detail

### doAction

    public void doAction(ActionEvent e)
                  throws IllegalUserActionException

  Specified by:
    `doAction` in interface `Command`
  Throws:
    `IllegalUserActionException`

### getActionNames

    public Set<String> getActionNames()

  Provide the list of Action names that are available in this command.

  Specified by:
    `getActionNames` in interface `Command`

Apache JMeter

Copyright © 1998-2011 Apache Software Foundation. All Rights Reserved.